Bug 735668 - RFE: dracut should require pigz for build initramfs
Summary: RFE: dracut should require pigz for build initramfs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-04 18:08 UTC by John Reiser
Modified: 2012-01-23 09:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-23 09:25:34 UTC


Attachments (Terms of Use)

Description John Reiser 2011-09-04 18:08:18 UTC
Description of problem: (Request For Enhancement [RFE]:) On Fedora as long as gzip compression is the default for building initramfs, then dracut should require [and use] pigz ("Parallel Implementation of GZip").  The pigz package is less than 100kB on the build system and saves a lot of compress time: on a 2-processor CPU pigz saves half of ~25 seconds.  If nothing else then the documentation of the --compress= option to dracut should mention the benefits of pigz.


Version-Release number of selected component (if applicable):
dracut-013

How reproducible:
every time

Steps to Reproduce:
1. time dracut test-gzip.img
2. yum install pigz
3. time dracut test-pigz.img
  
Actual results: pigz saves ~13 seconds of real time for Fedora 16 on a 2-processor cpu, with a test-pigz.img that is about 2200 bytes larger.


Expected results:


Additional info:

Comment 1 Fedora Admin XMLRPC Client 2011-10-20 16:19:35 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.